<div class="page-header">
  <h2 class="page-header__title">Oilfield Unit Converter</h2>
  <div class="page-header__tools" *ngIf="groupedUnits && groupedUnits.length > 0">
    <span class="page-header__button reveal-units" (click)="openUnitListForm()">Reveal Unit List</span>
  </div>
</div>
<div class="content" *ngIf="groupedUnits; else loadingIndicator">
  <div class="content__header">
    <span>Select type of units conversion needed</span>
    <!-- Disabled, as we implemented only mock UI now -->
    <!-- <button mat-flat-button class="uc-button uc-button--active" (click)="openConverterAddForm()">
      + Unit Conversion
    </button> -->
  </div>
  <div class="content__tabs tabs">
    <mat-tab-group class="tabs__menu" [disableRipple]="true" [selectedIndex]="0">
      <ng-container *ngFor="let group of groupedUnits">
        <mat-tab *ngIf="group.isConversion" class="tabs__tab">
          <ng-template mat-tab-label>
            <div
              class="tabs_tab-content"
              matTooltipClass="tabs__tooltip"
              [matTooltip]="group.description"
              matTooltipPosition="above"
            >
              {{ group.displayName || beautifyName(group.name) }}
            </div>
          </ng-template>
          <uc-converter [group]="group"></uc-converter>
        </mat-tab>
      </ng-container>
    </mat-tab-group>
  </div>
</div>
<ng-template #loadingIndicator>
  <gng-spinner></gng-spinner>
</ng-template>
